************
* PCEDMENU *
************
* Menu van programma's voor het wijzigen van de gegevens, hetzij per
* bestand, hetzij door automatisch alle bestanden te updaten.
*
STORE "-" TO choice
DO WHILE choice # "E"
   ERASE
   @  1,10 SAY "--READER'S DIGEST PRODUCTION ADMINISTRATION CONTROL SYSTEM--"
   @  2,10 SAY "--------------------- WIJZIGEN GEGEVENS --------------------"
   @  4, 0 SAY "PRODUKTIENUMMER"
   @  4,16 SAY $(cur:prod,1,2) + "/" + $(cur:prod,3,5)
   @  7,11 SAY "U KUNT GEGEVENS WIJZIGEN PER GEGEVENSGROEP (KEUZE 1/5),"
   @  8,11 SAY "OF AUTOMATISCH DOOR ALLE INVOERSCHERMEN BLADEREN (KEUZE 6)."
   @ 10,25 SAY "1- OPDRACHT"
   @ 11,25 SAY "2- OPLAGE"
   @ 12,25 SAY "3- PLANNING"
   @ 13,25 SAY "4- OFFERTES"
   @ 14,25 SAY "5- AKTUELE KOSTEN"
   @ 15,25 SAY "6- AUTOMATISCH BLADEREN"
   @ 16,25 SAY "E- EINDE" 
   @ 18,28 SAY "UW KEUZE SVP :.:"
   @ 22,58 SAY "HUIDIGE DATUM"
   @ 22,72 SAY sysdate
   STORE "-" TO choice
   DO WHILE .NOT. (choice $ '123456E')
      STORE "." TO choice
      @ 18,41 GET choice PICTURE "!"
      READ
   ENDDO
   DO CASE
      CASE choice = "1"
           DO pcedopd
           STORE "-" TO choice
      CASE choice = "2"
           DO pcedopl 
           STORE "-" TO choice
      CASE choice = "3"
           DO pcedplan
           STORE "-" TO choice
      CASE choice = "4" 
           DO pcedoff
           STORE "-" TO choice
      CASE choice = "5"
           DO pcedcalc
           STORE "-" TO choice
      CASE choice = "6"
           DO pcedopd
           DO pcedopl 
           DO pcedplan
           DO pcedoff
           DO pcedcalc
           STORE "-" TO choice
   ENDCASE
ENDDO
RETURN
*
* EINDE PROGRAMMA
*
